glibmm: Gio::DBus::AnnotationInfo Class Reference

glibmm 2.66.4

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gio::DBus::AnnotationInfo Class Referencefinal
D-Bus API

Stores information about an annotation. More...

`#include <giomm/dbusintrospection.h>`

## Public Member Functions
void | reference () const
| Increment the reference count for this object. More...
void | unreference () const
| Decrement the reference count for this object. More...
GDBusAnnotationInfo * | gobj ()
| Provides access to the underlying C instance. More...
const GDBusAnnotationInfo * | gobj () const
| Provides access to the underlying C instance. More...
GDBusAnnotationInfo * | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
| AnnotationInfo ()=delete
| AnnotationInfo (const AnnotationInfo &)=delete
AnnotationInfo & | operator= (const AnnotationInfo &)=delete

## Static Public Member Functions
static Glib::ustring | info_lookup (const Glib::ArrayHandle< Glib::RefPtr< AnnotationInfo > > & annotations, const Glib::ustring & name)
| Looks up the value of an annotation. More...

## Protected Member Functions
void | operator delete (void *, std::size_t)

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gio::DBus::AnnotationInfo > | wrap (GDBusAnnotationInfo * object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Detailed Description

Stores information about an annotation.

Since glibmm 2.28:

## Constructor & Destructor Documentation

## ◆ AnnotationInfo() [1/2]

Gio::DBus::AnnotationInfo::AnnotationInfo | ( |  | ) |
| delete

## ◆ AnnotationInfo() [2/2]

Gio::DBus::AnnotationInfo::AnnotationInfo | ( | const AnnotationInfo & |  | ) |
| delete

## Member Function Documentation

## ◆ gobj() [1/2]

GDBusAnnotationInfo * Gio::DBus::AnnotationInfo::gobj | ( |  | ) |

Provides access to the underlying C instance.

## ◆ gobj() [2/2]

const GDBusAnnotationInfo * Gio::DBus::AnnotationInfo::gobj | ( |  | ) | const

Provides access to the underlying C instance.

## ◆ gobj_copy()

GDBusAnnotationInfo * Gio::DBus::AnnotationInfo::gobj_copy | ( |  | ) | const

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ info_lookup()

static Glib::ustring Gio::DBus::AnnotationInfo::info_lookup | ( | const Glib::ArrayHandle< Glib::RefPtr< AnnotationInfo > > & | annotations,
|  | const Glib::ustring & | name
| ) |  |
| static

Looks up the value of an annotation.

The cost of this function is O(n) in number of annotations.

Since glibmm 2.26:

Parameters

  annotations | A `nullptr`-terminated array of annotations or `nullptr`.
  name | The name of the annotation to look up.

Returns
  The value or `nullptr` if not found. Do not free, it is owned by annotations.

## ◆ operator delete()

void Gio::DBus::AnnotationInfo::operator delete | ( | void * | ,
|  | std::size_t |
| ) |  |
| protected

## ◆ operator=()

AnnotationInfo & Gio::DBus::AnnotationInfo::operator= | ( | const AnnotationInfo & |  | ) |
| delete

## ◆ reference()

void Gio::DBus::AnnotationInfo::reference | ( |  | ) | const

Increment the reference count for this object.

You should never need to do this manually - use the object via a RefPtr instead.

## ◆ unreference()

void Gio::DBus::AnnotationInfo::unreference | ( |  | ) | const

Decrement the reference count for this object.

You should never need to do this manually - use the object via a RefPtr instead.

## Friends And Related Function Documentation

## ◆ wrap()

Glib::RefPtr< Gio::DBus::AnnotationInfo > wrap | ( | GDBusAnnotationInfo * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.